net.i2p.router.web.helpers

## Class ConfigUIHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.ConfigUIHandler

-     public class ConfigUIHandler
      extends FormHandler

  Handles router console UI configuration and theme management. Processes theme selection, mobile console settings, user management, language settings, password configuration, and display preferences for the router console interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigUIHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `void` | `setEmbedApps(String baa)`
    `void` | `setForceMobileConsole(String baa)`
    `void` | `setShouldsave(String moo)`
    `void` | `setTheme(String val)`
    `void` | `setUniversalTheming(String baa)`
    `void` | `setUseSoraFont(String baa)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigUIHandler

          public ConfigUIHandler()

  - ### Method Detail

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### setEmbedApps

          public void setEmbedApps(String baa)

    - #### setForceMobileConsole

          public void setForceMobileConsole(String baa)

    - #### setShouldsave

          public void setShouldsave(String moo)

    - #### setTheme

          public void setTheme(String val)

    - #### setUniversalTheming

          public void setUniversalTheming(String baa)

    - #### setUseSoraFont

          public void setUseSoraFont(String baa)